@charset "utf-8";

@font-face {
  font-family: 'Comfortaa';
  src: url('../fonts/Comfortaa-VariableFont_wght.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'PressStart';
  src: url('../fonts/PressStart2P-Regular.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

@keyframes change_idle {
  0%, 49% { opacity: 1; }
  50%, 100% { opacity: 0; }
}

body{
    font-family: 'Comfortaa';
}

.hero-section{
    background: radial-gradient(circle, #edac2a 0%, rgba(237, 172, 42, 0.3) 20%, #000 50%);
}

.title{
    font-size: clamp(3rem, 0rem + 10vw, 10rem);
    font-family: 'PressStart', sans-serif;
    color: white;
    text-shadow: 5px 5px 5px black;
    text-align: center;
}

.download-btn{
    font-size: clamp(1.2rem, 0.857rem + 1.143vw, 2rem);
    font-weight: bold;
    color: white;
    padding: clamp(0.1rem, -0.071rem + 0.571vw, 0.5rem) clamp(0.6rem, 0.429rem + 0.571vw, 1rem);
    border: 3px solid white;
    border-radius: 0.5rem;
    text-decoration: none;
}

.download-btn:hover, .download-btn:focus{
    background-color: #a56300;
    box-shadow: 0px 2px 5px rgba(244, 217, 63, 0.66);
}

#download-section {
    scroll-margin-top: 6rem;
}

.fade-div{
    height: 200px;
    background: linear-gradient(
        to bottom,
        transparent 0%,
        black 50%,
        transparent 100%
    );
    margin-top: -100px;
    margin-bottom: -100px;
    pointer-events: none;
    position: relative;
    z-index: 1; 
}

.sumary-section{
    background-image: url(../Img/Backgrounds/sumary-background.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    min-height: 80vh;
    color: aliceblue;
}

.sumary-section img{
    width: clamp(25rem, 17.286rem + 25.714vw, 43rem);
}

.sumary-container{
    width: clamp(18rem, 12rem + 20vw, 32rem);
    font-size: clamp(1rem, 0.786rem + 0.714vw, 1.5rem);
    font-weight: 500;
}

.sumary-container h1{
    font-weight: bold;
}

.purpose-container{
    margin: 6rem clamp(1rem, -0.714rem + 5.714vw, 5rem) 3rem clamp(1rem, -0.714rem + 5.714vw, 5rem);
    background-color: azure;
    padding: clamp(1rem, 0.571rem + 1.429vw, 2rem) clamp(1rem, 0.143rem + 2.857vw, 3rem);
    text-align: center;
}

.purpose-container h1{
    color: orange;
    font-size: clamp(1.5rem, 0.857rem + 2.143vw, 3rem);
    font-style: italic;
    font-weight: bold;
}

.purpose-container p{
    font-size: clamp(1rem, 0.571rem + 1.429vw, 2rem);
}

.carousel-section{
    margin: 4rem 0;
}

.carousel-item {
    text-align: center;
}

.carousel-image {
    display: inline-block;
    width: clamp(17.5rem, 7.857rem + 32.143vw, 40rem);
    border-radius: 2rem;
}

.windows{
    margin-bottom: 3rem;
}

.pc-img{
	height: clamp(14rem, 9.714rem + 11.429vw, 20rem);
	width: auto;
    margin-left: 0;
}

.smartphone-img-container{
    overflow: hidden;
}

.smartphone-img{
	height: clamp(12rem, 6.286rem + 15.238vw, 20rem);
	width: auto;
    margin-right: 0;
}

@media (min-width: 992px) {
  .pc-img {
        margin-left: -3rem;
  }

  .smartphone-img{
        margin-right: -3rem;
  }
}

.download-title{
    color: white;
}

.btn-text{
    font-size: clamp(1rem, 0.786rem + 0.714vw, 1.5rem);
}

.martin img, .micaela img{
    position: relative;
    width: clamp(9rem, 4.714rem + 11.429vw, 15rem);
    height: auto;
    margin: 0 2rem;
}


.requirements h1{
    color: white;
}

.tables-container{
    gap: 1.5rem;
    padding: 1.5rem;
}

table{
    margin: 0;
}

.requirements{
    background: linear-gradient(
        to top,
        #EDAC2A 0%,
        transparent 100%
    );

    margin-bottom: -1rem;
}